Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.control
Class QuickControlForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.common.control.QuickControlForm

All Implemented Interfaces:
  java.io.Serializable

    public class QuickControlForm

extends BaseValidatorForm

A subclass of `BaseValidatorForm` that contatins all of the properties for scheduling an action.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`QuickControlForm()`

Method Summary
`java.lang.String` | `getArguments()`
`java.util.List` | `getControlActions()` Getter for property controlActions.
`java.lang.Integer` | `getNumControlActions()` Getter for property numControlActions.
`java.lang.String` | `getResourceAction()` Getter for property resourceAction.
`java.lang.Integer` | `getResourceId()` Getter for property resourceId.
`java.lang.Integer` | `getResourceType()` Getter for property resourceType.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setArguments(java.lang.String arguments)`
`void` | `setControlActions(java.util.List controlActions)` Setter for property controlActions.
`void` | `setNumControlActions(java.lang.Integer numControlActions)` Setter for property numControlActions.
`void` | `setResourceAction(java.lang.String resourceAction)` Setter for property resourceAction.
`void` | `setResourceId(java.lang.Integer resourceId)` Setter for property resourceId.
`void` | `setResourceType(java.lang.Integer resourceType)` Setter for property resourceType.
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QuickControlForm

    public QuickControlForm()

Method Detail

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `BaseValidatorForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### getResourceId

    public java.lang.Integer getResourceId()

  Getter for property resourceId.

  Returns:
    Value of property resourceId.

### setResourceId

    public void setResourceId(java.lang.Integer resourceId)

  Setter for property resourceId.

  Parameters:
    `resourceId` - New value of property resourceId.

### getResourceType

    public java.lang.Integer getResourceType()

  Getter for property resourceType.

  Returns:
    Value of property resourceType.

### setResourceType

    public void setResourceType(java.lang.Integer resourceType)

  Setter for property resourceType.

  Parameters:
    `resourceType` - New value of property resourceType.

### getResourceAction

    public java.lang.String getResourceAction()

  Getter for property resourceAction.

  Returns:
    Value of property resourceAction.

### setResourceAction

    public void setResourceAction(java.lang.String resourceAction)

  Setter for property resourceAction.

  Parameters:
    `resourceAction` - New value of property resourceAction.

### getControlActions

    public java.util.List getControlActions()

  Getter for property controlActions.

  Returns:
    Value of property controlActions.

### setControlActions

    public void setControlActions(java.util.List controlActions)

  Setter for property controlActions.

  Parameters:
    `controlActions` - New value of property controlActions.

### getNumControlActions

    public java.lang.Integer getNumControlActions()

  Getter for property numControlActions.

  Returns:
    Value of property numControlActions.

### setNumControlActions

    public void setNumControlActions(java.lang.Integer numControlActions)

  Setter for property numControlActions.

  Parameters:
    `numControlActions` - New value of property numControlActions.

### getArguments

    public java.lang.String getArguments()

### setArguments

    public void setArguments(java.lang.String arguments)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.